Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/HoverTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/HoverTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/HoverTool.cs	(revision 4068)
@@ -1,156 +1,140 @@
-using System;
-using System.Diagnostics;
 using System.Collections;
-using System.Drawing;
 using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
-    /// <summary>
-    /// This tool allows entities to give feedback (e.g. via a change of 
-    /// cursor) when the mouse is hovering over them.
-    /// </summary>
-    // ----------------------------------------------------------------------
-    class HoverTool : AbstractTool, IMouseListener
-    {
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// This tool allows entities to give feedback (e.g. via a change of 
+  /// cursor) when the mouse is hovering over them.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  class HoverTool : AbstractTool, IMouseListener {
 
-        #region Fields
+    #region Fields
 
-        private IHoverListener currentListener = null;
+    private IHoverListener currentListener = null;
 
-        private IDiagramEntity previousHovered = null;
+    private IDiagramEntity previousHovered = null;
 
 
-        #endregion
+    #endregion
 
-        #region Constructor
+    #region Constructor
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:HoverTool"/> class.
-        /// </summary>
-        /// <param name="name">The name of the tool.</param>
-        // ------------------------------------------------------------------
-        public HoverTool(string name)
-            : base(name)
-        {
-        }
-
-        #endregion
-
-        #region Methods
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected override void OnActivateTool()
-        {
-            
-
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse down event.
-        /// </summary>
-        /// <param name="e">The <see cref=
-        /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing 
-        /// the event data.</param>
-        // ------------------------------------------------------------------
-        public bool MouseDown(MouseEventArgs e)
-        {
-            return false;
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse move event
-        /// </summary>
-        /// <param name="e">The <see cref=
-        /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing 
-        /// the event data.</param>
-        // ------------------------------------------------------------------
-        public void MouseMove(MouseEventArgs e)
-        {
-
-            if (!IsSuspended && this.Enabled)
-            {
-                IHoverListener listener = null;
-
-                CollectionBase<IDiagramEntity> paintables= 
-                    this.Controller.Model.Paintables;
-                IDiagramEntity entity;
-                if(paintables.Count==0) return;
-                //going from top to the bottom of the z-order
-                for (int k=paintables.Count-1; k>=0; k--)
-                {
-                    entity = paintables[k];
-                    if(entity.Hit(e.Location)) //we caught an entity
-                    {
-                        //unhover the previous, if any
-                        if (previousHovered != null)
-                        {
-                            previousHovered.Hovered = false;
-                        }
-
-                        //tell the current one it's being hovered
-                        entity.Hovered = true; 
-
-                        //fetch the hovering service, if defined
-                        listener = entity.GetService(
-                            typeof(IHoverListener)) as IHoverListener;
-                        if(listener != null) //the caught entity does listen
-                        {
-                            if(currentListener == listener) //it's the same as the previous time
-                                listener.MouseHover(e);
-                            else //we moved from one entity to another listening entity
-                            {
-                                if(currentListener!=null) //tell the previous entity we are leaving
-                                    currentListener.MouseLeave(e);
-                                listener.MouseEnter(e); //tell the current one we enter
-                                currentListener = listener;
-                            }
-                        }
-                        else //the caught entity does not listen
-                        {
-                            if(currentListener != null)
-                            {
-                                currentListener.MouseLeave(e);
-                                currentListener = null;
-                            }
-                        }
-                        previousHovered = entity;//remember, for the next time
-                        return; //if another entity is listening underneath this entity it will not receive the notification
-                    }
-                }
-                if(currentListener != null)
-                {
-                    currentListener.MouseLeave(e);
-                    currentListener = null;
-                }
-                //unhover the previous, if any
-                if(previousHovered != null)
-                    previousHovered.Hovered = false;
-
-            }
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse up event.
-        /// </summary>
-        /// <param name="e">The <see cref=
-        /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing 
-        /// the event data.</param>
-        // ------------------------------------------------------------------
-        public void MouseUp(MouseEventArgs e)
-        {
-           
-        }
-        #endregion
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:HoverTool"/> class.
+    /// </summary>
+    /// <param name="name">The name of the tool.</param>
+    // ------------------------------------------------------------------
+    public HoverTool(string name)
+      : base(name) {
     }
 
+    #endregion
+
+    #region Methods
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected override void OnActivateTool() {
+
+
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse down event.
+    /// </summary>
+    /// <param name="e">The <see cref=
+    /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing 
+    /// the event data.</param>
+    // ------------------------------------------------------------------
+    public bool MouseDown(MouseEventArgs e) {
+      return false;
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse move event
+    /// </summary>
+    /// <param name="e">The <see cref=
+    /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing 
+    /// the event data.</param>
+    // ------------------------------------------------------------------
+    public void MouseMove(MouseEventArgs e) {
+
+      if (!IsSuspended && this.Enabled) {
+        IHoverListener listener = null;
+
+        CollectionBase<IDiagramEntity> paintables =
+            this.Controller.Model.Paintables;
+        IDiagramEntity entity;
+        if (paintables.Count == 0) return;
+        //going from top to the bottom of the z-order
+        for (int k = paintables.Count - 1; k >= 0; k--) {
+          entity = paintables[k];
+          if (entity.Hit(e.Location)) //we caught an entity
+                    {
+            //unhover the previous, if any
+            if (previousHovered != null) {
+              previousHovered.Hovered = false;
+            }
+
+            //tell the current one it's being hovered
+            entity.Hovered = true;
+
+            //fetch the hovering service, if defined
+            listener = entity.GetService(
+                typeof(IHoverListener)) as IHoverListener;
+            if (listener != null) //the caught entity does listen
+                        {
+              if (currentListener == listener) //it's the same as the previous time
+                listener.MouseHover(e);
+              else //we moved from one entity to another listening entity
+                            {
+                if (currentListener != null) //tell the previous entity we are leaving
+                  currentListener.MouseLeave(e);
+                listener.MouseEnter(e); //tell the current one we enter
+                currentListener = listener;
+              }
+            } else //the caught entity does not listen
+                        {
+              if (currentListener != null) {
+                currentListener.MouseLeave(e);
+                currentListener = null;
+              }
+            }
+            previousHovered = entity;//remember, for the next time
+            return; //if another entity is listening underneath this entity it will not receive the notification
+          }
+        }
+        if (currentListener != null) {
+          currentListener.MouseLeave(e);
+          currentListener = null;
+        }
+        //unhover the previous, if any
+        if (previousHovered != null)
+          previousHovered.Hovered = false;
+
+      }
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse up event.
+    /// </summary>
+    /// <param name="e">The <see cref=
+    /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing 
+    /// the event data.</param>
+    // ------------------------------------------------------------------
+    public void MouseUp(MouseEventArgs e) {
+
+    }
+    #endregion
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ImageExportTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ImageExportTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ImageExportTool.cs	(revision 4068)
@@ -1,75 +1,62 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Drawing;
 using System.Windows.Forms;
-using System.Drawing;
-using System.IO;
-using System.Drawing.Imaging;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// A tool that uses the ImageExporter to create an image from the
+  /// currently selected entities and adds the image to the clipboard.
+  /// The ImageExporter is used indirectly by calling 
+  /// 'Selection.ToBitmap()'.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class ImageExportTool : AbstractTool {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// A tool that uses the ImageExporter to create an image from the
-    /// currently selected entities and adds the image to the clipboard.
-    /// The ImageExporter is used indirectly by calling 
-    /// 'Selection.ToBitmap()'.
+    /// Initializes a new instance of the <see cref="T:ImageExportTool"/> 
+    /// class.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class ImageExportTool : AbstractTool
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:ImageExportTool"/> 
-        /// class.
-        /// </summary>
-        /// <param name="name">string: The name of the tool.</param>
-        // ------------------------------------------------------------------
-        public ImageExportTool(string toolName)
-            : base(toolName)
-        {
+    /// <param name="name">string: The name of the tool.</param>
+    // ------------------------------------------------------------------
+    public ImageExportTool(string toolName)
+      : base(toolName) {
+    }
+
+    #region Methods
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected override void OnActivateTool() {
+      if (this.Controller.Model.Selection.SelectedItems.Count == 0) {
+        MessageBox.Show("No shapes are selected.  " +
+            "Please make a selection first.",
+            "Image Export Error",
+            MessageBoxButtons.OK,
+            MessageBoxIcon.Information);
+        return;
+      }
+
+      try {
+        // Create an image using the ImageExporter and copy it to
+        // the clipboard.
+        Bitmap image = this.Controller.Model.Selection.ToBitmap();
+        if (image != null) {
+          Clipboard.SetImage(image);
         }
+      }
+      catch (Exception exc) {
+        throw new InconsistencyException(
+            "The Copy operation failed.", exc);
+      }
+      finally {
+        DeactivateTool();
+      }
+    }
 
-        #region Methods
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected override void OnActivateTool()
-        {
-          if (this.Controller.Model.Selection.SelectedItems.Count == 0)
-            {
-                MessageBox.Show("No shapes are selected.  " +
-                    "Please make a selection first.",
-                    "Image Export Error",
-                    MessageBoxButtons.OK,
-                    MessageBoxIcon.Information);
-                return;
-            }
-
-            try
-            {
-                // Create an image using the ImageExporter and copy it to
-                // the clipboard.
-              Bitmap image = this.Controller.Model.Selection.ToBitmap();
-                if (image != null)
-                {                    
-                    Clipboard.SetImage(image);
-                }
-            }
-            catch (Exception exc)
-            {
-                throw new InconsistencyException(
-                    "The Copy operation failed.", exc);
-            }
-            finally
-            {
-                DeactivateTool();
-            }
-        }
-
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/MoveTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/MoveTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/MoveTool.cs	(revision 4068)
@@ -1,5 +1,3 @@
 using System;
-using System.Diagnostics;
-using System.Collections;
 using System.Drawing;
 using System.Windows.Forms;
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/MultiLineTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/MultiLineTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/MultiLineTool.cs	(revision 4068)
@@ -1,162 +1,139 @@
 using System;
-using System.Diagnostics;
-using System.Collections;
-using System.Collections.Generic;
 using System.Drawing;
 using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
 
-    class MultiLineTool : AbstractTool, IMouseListener, IKeyboardListener
-    {
+  class MultiLineTool : AbstractTool, IMouseListener, IKeyboardListener {
 
-        #region Fields
-        /// <summary>
-        /// the location of the mouse when the motion starts
-        /// </summary>
+    #region Fields
+    /// <summary>
+    /// the location of the mouse when the motion starts
+    /// </summary>
 
-        private bool doDraw;
-        private Point[] points;
-        #endregion
+    private bool doDraw;
+    private Point[] points;
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:MultiLineTool"/> class.
-        /// </summary>
-        /// <param name="name">The name of the tool.</param>
-        public MultiLineTool(string name)
-            : base(name)
-        {
-        }
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:MultiLineTool"/> class.
+    /// </summary>
+    /// <param name="name">The name of the tool.</param>
+    public MultiLineTool(string name)
+      : base(name) {
+    }
+    #endregion
 
-        #region Methods
+    #region Methods
 
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        protected override void OnActivateTool()
-        {
-            Controller.View.CurrentCursor = CursorPalette.Cross;
-            this.SuspendOtherTools();
-            doDraw = false;
-            points = new Point[1];
-        }
-
-        /// <summary>
-        /// Handles the mouse down event
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
-        /// <returns>Returns 'true' if the event was handled, otherwise 'false'.</returns>
-        public bool MouseDown(MouseEventArgs e)
-        {
-            if (e == null)
-                throw new ArgumentNullException("The argument object is 'null'");
-            if (e.Button == MouseButtons.Left && Enabled && !IsSuspended)
-            {
-                Point p = e.Location;
-                if (Closure(p))
-                {
-                    points[points.Length - 1] = points[0];
-                    doDraw = false;
-                    DeactivateTool();
-                    Package();
-
-                    return true;
-                }
-                Array.Resize<Point>(ref points, points.Length + 1);
-                points[points.Length - 2] = p;
-                doDraw = true;
-                return true;
-            }
-            return false;
-        }
-        private bool Closure(Point p)
-        {
-            for (int k = 0; k < points.Length - 1; k++)
-            {
-                if (new Rectangle(points[k].X - 6, points[k].Y - 6, 12, 12).Contains(p))
-                {
-                    DialogResult res = MessageBox.Show("Do you wish to close the curve?", "Closure?", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
-                    if (res == DialogResult.Yes)
-                        return true;
-
-                }
-            }
-            return false;
-        }
-        /// <summary>
-        /// Handles the mouse move event
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
-        public void MouseMove(MouseEventArgs e)
-        {
-            if (e == null)
-                throw new ArgumentNullException("The argument object is 'null'");
-            Point point = e.Location;
-            if (IsActive && doDraw)
-            {
-                points[points.Length - 1] = e.Location;
-                Controller.View.PaintGhostLine(MultiPointType.Straight, points);
-                //Controller.View.Invalidate(System.Drawing.Rectangle.Inflate(Controller.View.Ghost.Rectangle, 20, 20));
-                //TODO: find a more performant way to invalidate the area
-                Controller.View.Invalidate();
-            }
-        }
-        /// <summary>
-        /// 
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
-        public void MouseUp(MouseEventArgs e)
-        {
-            if (IsActive)
-            {
-
-            }
-        }
-        private void Package()
-        {
-            if ((points == null) ||
-               (points.Length < 1) ||
-               (points[0] == Point.Empty))
-            {
-                return;
-            }
-
-            MultiPointShape shape = new MultiPointShape(
-                this.Controller.Model, 
-                points, 
-                MultiPointType.Straight);
-
-            AddMultiPointShapeCommand cmd = new AddMultiPointShapeCommand(this.Controller, shape);
-            this.Controller.UndoManager.AddUndoCommand(cmd);
-            this.Controller.View.ResetGhost();
-            cmd.Redo();
-        }
-        #endregion
-
-        #region IKeyboardListener Members
-
-        public void KeyDown(KeyEventArgs e)
-        {
-            if (e.KeyData == Keys.Escape && IsActive)
-            {
-                DeactivateTool();
-                Package();
-                e.Handled = true;
-            }
-        }
-
-        public void KeyUp(KeyEventArgs e)
-        {
-        }
-
-        public void KeyPress(KeyPressEventArgs e)
-        {
-        }
-
-        #endregion
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    protected override void OnActivateTool() {
+      Controller.View.CurrentCursor = CursorPalette.Cross;
+      this.SuspendOtherTools();
+      doDraw = false;
+      points = new Point[1];
     }
 
+    /// <summary>
+    /// Handles the mouse down event
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
+    /// <returns>Returns 'true' if the event was handled, otherwise 'false'.</returns>
+    public bool MouseDown(MouseEventArgs e) {
+      if (e == null)
+        throw new ArgumentNullException("The argument object is 'null'");
+      if (e.Button == MouseButtons.Left && Enabled && !IsSuspended) {
+        Point p = e.Location;
+        if (Closure(p)) {
+          points[points.Length - 1] = points[0];
+          doDraw = false;
+          DeactivateTool();
+          Package();
+
+          return true;
+        }
+        Array.Resize<Point>(ref points, points.Length + 1);
+        points[points.Length - 2] = p;
+        doDraw = true;
+        return true;
+      }
+      return false;
+    }
+    private bool Closure(Point p) {
+      for (int k = 0; k < points.Length - 1; k++) {
+        if (new Rectangle(points[k].X - 6, points[k].Y - 6, 12, 12).Contains(p)) {
+          DialogResult res = MessageBox.Show("Do you wish to close the curve?", "Closure?", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
+          if (res == DialogResult.Yes)
+            return true;
+
+        }
+      }
+      return false;
+    }
+    /// <summary>
+    /// Handles the mouse move event
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
+    public void MouseMove(MouseEventArgs e) {
+      if (e == null)
+        throw new ArgumentNullException("The argument object is 'null'");
+      Point point = e.Location;
+      if (IsActive && doDraw) {
+        points[points.Length - 1] = e.Location;
+        Controller.View.PaintGhostLine(MultiPointType.Straight, points);
+        //Controller.View.Invalidate(System.Drawing.Rectangle.Inflate(Controller.View.Ghost.Rectangle, 20, 20));
+        //TODO: find a more performant way to invalidate the area
+        Controller.View.Invalidate();
+      }
+    }
+    /// <summary>
+    /// 
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
+    public void MouseUp(MouseEventArgs e) {
+      if (IsActive) {
+
+      }
+    }
+    private void Package() {
+      if ((points == null) ||
+         (points.Length < 1) ||
+         (points[0] == Point.Empty)) {
+        return;
+      }
+
+      MultiPointShape shape = new MultiPointShape(
+          this.Controller.Model,
+          points,
+          MultiPointType.Straight);
+
+      AddMultiPointShapeCommand cmd = new AddMultiPointShapeCommand(this.Controller, shape);
+      this.Controller.UndoManager.AddUndoCommand(cmd);
+      this.Controller.View.ResetGhost();
+      cmd.Redo();
+    }
+    #endregion
+
+    #region IKeyboardListener Members
+
+    public void KeyDown(KeyEventArgs e) {
+      if (e.KeyData == Keys.Escape && IsActive) {
+        DeactivateTool();
+        Package();
+        e.Handled = true;
+      }
+    }
+
+    public void KeyUp(KeyEventArgs e) {
+    }
+
+    public void KeyPress(KeyPressEventArgs e) {
+    }
+
+    #endregion
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/PanTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/PanTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/PanTool.cs	(revision 4068)
@@ -1,8 +1,4 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Drawing;
 using System.Windows.Forms;
-using System.Drawing;
-using System.Diagnostics;
 
 namespace Netron.Diagramming.Core {
